## org.eclipse.jetty.server
Class HttpWriter

    java.lang.Object
      java.io.Writer
          org.eclipse.jetty.server.HttpWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

Direct Known Subclasses:
  HttpConnection.OutputWriter

    public class HttpWriter

extends java.io.Writer

OutputWriter. A writer that can wrap a `HttpOutput` stream and provide character encodings. The UTF-8 encoding is done by this class and no additional buffers or Writers are used. The UTF-8 code was inspired by http://javolution.org

Field Summary
`static int` `MAX_OUTPUT_CHARS`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`HttpWriter(HttpOutput out)`

Method Summary
`void` `close()`
`void` `flush()`
`void` `setCharacterEncoding(java.lang.String encoding)`
`void` `write(char[] s, int offset, int length)`
`void` `write(java.lang.String s, int offset, int length)`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_OUTPUT_CHARS

    public static final int MAX_OUTPUT_CHARS

See Also:
  Constant Field Values

Constructor Detail

### HttpWriter

    public HttpWriter(HttpOutput out)

Method Detail

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String encoding)

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Specified by:
    `flush` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String s,
                      int offset,
                      int length)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(char[] s,
                      int offset,
                      int length)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.